> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-9-5-69360.md).

# Version 6.9.5.69360 Changelog (January 31st, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 6.9.5.69360
* Release Date: January 31st, 2019
* Built with Xcode 10.1 (10B61)

## New

* A new full text search control [`PTTextSearchViewController`](https://sdk.apryse.com/api/ios/Classes/PTTextSearchViewController.html) that is integrated into [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html).
* Classes that are used internally by the `PTDocumentViewController` and [`PTTabbedDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTTabbedDocumentViewController.html) can now be subclassed. In this release it is possible to subclass the `PTDocumentViewController`s that are created by the `PTTabbedDocumentViewController`, as well as any class that inherits from [`PTTool`](https://sdk.apryse.com/api/ios/Classes/PTTool.html) (the annotation interaction tools). (More classes will be added in future releases.) At this time only concrete classes are supported. Example usage:

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
PTOverrides.overrideClass(PTDocumentViewController.self, withClass: EGDocumentViewController.self);
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
[PTOverrides overrideClass:[PTDocumentViewController class] withClass:[EGDocumentViewController class]];
```

{% endcode %}
{% endtab %}
{% endtabs %}

* Form filling events now create \[notifications]\(<https://sdk.apryse.com/api/ios/PTToolManager> Notifications.html#/c:@PTToolManagerAnnotationUserInfoKey) (in addition to the existing delegate methods). Example usage:

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
NotificationCenter.default.addObserver(self, selector: #selector(self.formFieldModified(_:)), name: PTToolManagerFormFieldDataModifiedNotification, object: documentViewController.toolManager)
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(formFieldModified:) name:PTToolManagerFormFieldDataModifiedNotification object:documentViewController.toolManager];
```

{% endcode %}
{% endtab %}
{% endtabs %}

* A number of previously internal classes are now exposed on the `PTDocumentViewController`:
  * `PTAnnotationToolbar`
  * `PTTextSearchViewController`
  * `PTPageIndicatorViewController`
  * `PTSettingsViewController`
  * `PTReflowViewController`
* `PTAnnotationToolbar` now has a new API ([`precedenceArray`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationToolbar.html#/c:objc\(cs\)PTAnnotationToolbar\(py\)precedenceArray)) to allow changing which buttons are visible for different size toolbars.
* A number of updated documentation guides:
  * [Text search](/ios/search/text.md)
  * [Annotation style editor](/ios/annotation/annot-style.md)
  * [Disable annotation creation and editing](/ios/annotation/disabling-tools.md)

## Bug fixes

* [`PTPDFViewCtrl's openUrlAsync:`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(im\)OpenUrlAsync:WithPDFPassword:) will no longer crash when repeatedly called multiple times in quick succession.
* A number of miscellaneous minor bug fixes.

## API diff

* `PT` class prefixes have been added to all `Tools.framework` classes that were previously missing them.
* The `PTToolManager` annotation permission objects have been deprecated and renamed to option objects, e.g. `squareAnnotationPermission` to [`squareAnnotationOptions`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)arrowAnnotationOptions).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-9-5-69360.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
